
async function getShops() {
    let url = 'http://leigh-co.com/minecraft/neweden/link/v1/shops/read';
    try {
        let response = await fetch(url);
        return await response.text();
    } catch (error) {
        console.log(error);
    }
}

async function renderShops() {
    let shops = await getShops();

    let shop_lines = shops.split(/\r\n|\n/);
    let html = '';
    $.each(shop_lines, function(index, value) {
        if (!value.trim()) {
            console.log("Skiped shop "+index);
            return;
        }
        let htmlSegment = '';
        const shop = JSON.parse(value);

        if (shop.hasOwnProperty('enchants')) {
            htmlSegment = `<div class="shop">
            <h2>${shop.item}</h2>
            <p>Price: ${shop.type} for $${shop.price}</p>
            <p>Coordinates: x${shop.x},y${shop.y},z${shop.z}</p>`;
            $.each(shop.enchants, function(index, enchant) {
                htmlSegment += `
                    <p>Enchant: ${enchant.name} at lvl ${enchant.level}</p>`;
            });

            htmlSegment += `
                <p>RAW SHOP: ${value}</p>
                </div>`;
        } else {
            htmlSegment = `
                <div class="shop">
                <h2>${shop.item}</h2>
                <p>Price: ${shop.type} for $${shop.price}</p>
                <p>Coordinates: x${shop.x},y${shop.y},z${shop.z}</p>
                <p>RAW SHOP: ${value}</p>
                </div>`;
        }
        

        html += htmlSegment;
    });

    let container = document.querySelector('.container');
    container.innerHTML = html;
}

renderShops();